> ## Documentation Index
> Fetch the complete documentation index at: https://help.opus.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel a Scheduled Post

> You can cancel a scheduled social post by making a `DELETE` request to `https://api.opus.pro/api/publish-schedules/{scheduleId}`.



## OpenAPI

````yaml DELETE /api/publish-schedules/{scheduleId}
openapi: 3.0.0
info:
  title: Clip API
  description: Clip API documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.opus.pro
    description: OpusClip Open API Production Server
security: []
tags: []
paths:
  /api/publish-schedules/{scheduleId}:
    delete:
      tags:
        - social-posting
        - enterprise
      description: Cancel a scheduled publish task before its publish time.
      operationId: PublishScheduleController_cancelPublishSchedule
      parameters:
        - name: scheduleId
          required: true
          in: path
          description: Unique ID of the schedule task to cancel
          schema:
            type: string
      responses:
        '200':
          description: Successfully canceled the publish schedule
          content:
            application/json:
              example:
                data: {}
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: object
                    description: Empty object returned on success
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````